//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>

#include "DropEdit.h"
#include "DropListBox.h"
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE 管理のコンポーネント
    TGroupBox *SrcGroupBox;
        TButton *AddButton;
        TButton *FileAddButton;
        TButton *DirAddButton;
        TButton *DeleteButton;
    TGroupBox *OptionGroupBox;
        TButton *StartButton;
        TCheckBox *OverWriteCB;
        TButton *AboutButton;
    TGroupBox *FormatGoupBox;
    TLabel *under8bitLabel;
    TLabel *over16bitLabel;
    TComboBox *Bit8ComboBox;
    TComboBox *Bit16ComboBox;
        TCheckBox *UnknownOutputCB;
        TButton *CloseButton;
        TButton *OpenButton;
    TDropListBox *SrcListBox;
        TDropEdit *SrcEdit;
    TButton *SaveButton;
    TButton *abc8setButton;
    TButton *abc16setButton;
    TButton *ImportListButton;
    TGroupBox *OutGroupBox;
    TButton *OutButton;
    TDropEdit *OutEdit;
        void __fastcall StartButtonClick(TObject *Sender);
        void __fastcall AboutButtonClick(TObject *Sender);
        void __fastcall FileAddButtonClick(TObject *Sender);
        void __fastcall DeleteButtonClick(TObject *Sender);
        void __fastcall AddButtonClick(TObject *Sender);
        void __fastcall CloseButtonClick(TObject *Sender);
        void __fastcall DirAddButtonClick(TObject *Sender);
        void __fastcall OutButtonClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall OpenButtonClick(TObject *Sender);
        void __fastcall SaveButtonClick(TObject *Sender);
        void __fastcall SrcListBoxDropFiles(TObject *Sender,
          TStringList *DropFileList);
        void __fastcall SrcEditDropFiles(TObject *Sender,
          char *DropFileName);
    void __fastcall abc8setButtonClick(TObject *Sender);
    void __fastcall abc16setButtonClick(TObject *Sender);
    void __fastcall ImportListButtonClick(TObject *Sender);
private:	// ユーザー宣言
        bool __fastcall IsStartEnable(void) ;
        void __fastcall startConvert(void) ;
        void __fastcall loadOptions(void) ;
        void __fastcall saveOptions(void) ;
        void __fastcall setFormat(TComboBox *cb, const AnsiString &format) ;
        void __fastcall setDropAccept(bool flagAccept) ;
public:		// ユーザー宣言
        __fastcall TMainForm(TComponent* Owner);

};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
 